html, body, textarea, select, input { font-family:Jost;font-size:0.93em;padding:0;margin:0; }
html, body { height:100%;width:100%;background-color:#222;color:#fff; }
html { -webkit-text-size-adjust: 100%; }
textarea, select, input { border:2px solid #585858;background-color:#585858;color:#fff;padding:2px; }
textarea:focus, select:focus, input:focus { outline:0;border:2px solid #bff7b3; }
a:link, a:visited { color:#d1f4c9;text-decoration:underline; }
a:hover, a:active { color:#d1f4c9;text-decoration:none; }
input:-webkit-autofill,input:-webkit-autofill:hover, input:-webkit-autofill:focus, input:-webkit-autofill:active  { -webkit-box-shadow: 0 0 0 30px #585858 inset !important; }
input:-webkit-autofill { -webkit-text-fill-color: #fff !important; }
label { cursor:pointer; }

#ajaxstatus { display:none;margin-right:10px;opacity:0.2; }
.ajaxstatuserror { color:#f18b60;opacity:1 !important; }
.ajaxstatuserror a { color:#333 !important;padding:0px 5px 0px 5px;border-radius:2px;margin-left:5px; }
.ajaxstatuserror a:link, .ajaxstatuserror a:visited { background-color:#f18b60; }
.ajaxstatuserror a:hover, .ajaxstatuserror a:active { background-color:#faac8c; }
.ajaxstatuserror i { margin-right:5px; }
#headwrap { position:fixed;top:0px;width:100%;height:51px;background-color:#333;z-index:999;box-shadow:0px 2px 3px rgba(0,0,0,0.3); }
#headwrap a { color:#fff;text-decoration:none; }
#headtitle { padding:10px 0px 0px 10px; }
#headtitle a { font-size:20px;display:inline-block;padding:1px 6px 1px 6px;border-radius:5px; }
#headtitle a:hover { background:#444; }
#headtitle img { height:20px;position:relative;top:3px; }
#headtitle span { margin-left:10px;text-shadow:1px 1px rgba(0,0,0,0.7); }
#randbtn { display:inline-block;padding:3px 5px 3px 5px;margin-right:10px;font-size:16px;background-color:#3a5466;border-radius:5px;border-top:1px solid #516d80;border-left:1px solid #516d80;border-right:1px solid #253c4d;border-bottom:1px solid #253c4d; }
#randbtn:hover { background-color:#445e71; }
#randbtn:active { border-left:1px solid #253c4d;border-top:1px solid #253c4d;border-bottom:1px solid #516d80;border-right:1px solid #516d80; }
#notifbtn { display:inline-block;position:relative;padding:4px 6px 4px 6px;margin-right:10px;font-size:16px;background-color:#444;border-radius:5px; }
#notifbtn:hover { background-color:#4f4f4f; }
#notifbtn span { position:absolute;top:-5px;right:-5px;background-color:#c23c3c;border-radius:50px;font-size:10px;padding:0px 4px 0px 4px;box-shadow:1px 1px rgba(0,0,0,0.2); }

#searchbtn { display:inline-block;position:relative;margin-right:10px;font-size:16px; }
.searchbtn { padding:4px 6px 4px 6px;background-color:#444;border-radius:5px; }
.searchbtn:hover { background-color:#4f4f4f; }
.searchbtnactive { color:#4a3f1a !important;padding:3px 5px 5px 5px;border-top:1px solid #222;border-left:1px solid #222;border-right:1px solid #222;background:linear-gradient(#c7aa48 10%,#d1b659);border-top-right-radius:5px;border-top-left-radius:5px;z-index:1001; }
.searchbtnkeep { color:#4a3f1a !important;padding:3px 5px 3px 5px;border-top:1px solid #d9c272;border-left:1px solid #d9c272;border-right:1px solid #a68f40;border-bottom:1px solid #a68f40;background:linear-gradient(#c7aa48 10%,#d1b659);border-radius:5px; }
.searchbtnkeep:hover { background:linear-gradient(#d1b659 10%, #d5bd6a); }
#headsearchwrap { position:relative;display:inline-block; }
#headsearchpop { display:none;z-index:1000;white-space:nowrap;position:absolute;right:-52px;top:31px;padding:4px 10px 4px 10px;border:1px solid #222;box-shadow:1px 1px 3px rgba(0,0,0,0.8);border-radius:45px;background:linear-gradient(#d1b659 90%,#d1b659); }
#headsearchpop input { width:120px;background:rgba(0,0,0,0);border:0;color:#000;margin-right:4px; }
#headsearchpop i { color:#4a3f1a; }

@media (max-width: 350px) {
	#headtitle span { display:none; }
}
@media (min-width: 351px) {
	#headtitle span { display:inline-block; }
}

#headuserwrap { float:right;padding:10px; }
#headuser { float:right;background-color:#444;border-radius:5px; }
#headuser:hover { background-color:#4f4f4f; }
#headuserlong i { margin-left:10px; }
#headusermenu { display:none;z-index:1000;position:fixed;right:10px;top:42px;padding:4px;border:1px solid #222;box-shadow:1px 1px 3px rgba(0,0,0,0.8);max-width:190px;border-radius:5px;background-color:#444; }
#headusermenu a { display:block;padding:5px 10px 5px 10px;border-radius:5px;text-decoration:none;color:#fff; }
#headusermenu a:hover { background-color:#3a3a3a; }
#um_profile:hover i { color:#9ae176; }
#um_reports:hover i { color:#e6d282; }
#um_display:hover i { color:#99bdd7; }
#um_account:hover i { color:#ac91b4; }
#um_logout:hover i { color:#e68282; }
#headusermenu a i { margin-right:10px;color:#aaa; }
#headusermenu a span { margin-left:8px;background-color:#ddd;color:#444;font-size:11px;font-weight:500;border-radius:50px;padding:0px 4px 0px 4px;position:relative;top:-1px; }
#headusermenu a:hover span { background-color:#fff;color:#333; }
#headusermenulogged { padding:5px;border-bottom:1px solid #4f4f4f;color:#ccc;margin-bottom:5px;word-wrap:break-word;text-align:center; }
#bodywrap { padding:63px 10px 40px 10px;height:calc(100% - 103px); }
#pagecolwrap { max-width:100%;display:grid;gap:0px 0px; }
#pagecolleft { grid-area:bodycol1; }
#pagecolright { grid-area:bodycol2; }
#footer { text-align:center;font-size:10px;padding:10px; }
#bgblur { display:none;background-color:rgba(0,0,0,0.4);backdrop-filter:blur(3px);-webkit-backdrop-filter:blur(3px);z-index:5000;position:fixed;top:0;left:0;height:100%;width:100%;cursor:default; }

#notifpop { display:none;z-index:1000;position:fixed;right:10px;top:42px;padding:4px;border:1px solid #222;box-shadow:1px 1px 3px rgba(0,0,0,0.8);width:300px;max-width:80%;height:50%;border-radius:5px;background-color:#444; }
#notifload { text-align:center;font-size:16px;padding-top:10px;opacity:0.5; }
#notifpopi { overflow:hidden;overflow-y:auto;height:100%; }
#notifmark { text-align:center;padding:10px; }
#notifmark a { background-color:#3a3a3a;padding:2px 8px 2px 8px;text-decoration:none;color:#eee;border-radius:5px;border-left:1px solid #4a4a4a;border-top:1px solid #4a4a4a;border-bottom:1px solid #333;border-right:1px solid #333;  }
#notifmark a:hover { background-color:#3f3f3f; }
#notifmark a:active { border-right:1px solid #4a4a4a;border-bottom:1px solid #4a4a4a;border-top:1px solid #333;border-left:1px solid #333; }
#notifpopii a { display:block;position:relative;padding:5px 5px 5px 23px;border-radius:5px;text-decoration:none; }
#notifpopii a:hover { background-color:#3a3a3a; }
#notifpopii a i { position:absolute;top:11px;left:7px;font-size:8px; }
.notifnew .notiftext { color:#fff; }
.notifnew .notiftext span { color:#bff7b3; }
.notifnew i { color:#ec7f7f; }
.notifold .notiftext { color:#999; }
.notifold .notiftext span { color:#88ab80; }
.notifold i { color:#666; }
.notifdate { color:#666;font-size:0.85em; }
#notifnone { padding:10px;text-align:center; }

@media (max-width: 500px) {
	#headuser { font-size:16px;padding:4px 5px 4px 5px; }
	#headuserlong { display:none; }
	#headusershort { display:block; }
}

@media (min-width: 501px) {
	#headuser { padding:6px 12px 5px 12px; }
	#headuserlong { display:block; }
	#headusershort { display:none; }
}

#sidebarwrap { background-color:#333;border:1px solid #111;padding:4px;border-radius:5px;margin-right:15px; }
#sidebarwrap a { display:block;text-decoration:none;border-radius:5px; }
#sidebarwrap a:hover { color:#fff; }
.sidebarlink i, .sidebarlinksel i, .sidebarsublinksel i { margin-right:5px; }
.sidebarlink { padding:10px 15px 10px 15px; }
.sidebarlink:link, .sidebarlink:visited, .sidebarlink:active { color:#ccc; }
.sidebarlink:hover { background-color:#3a3a3a; }
.sidebarlinksel { padding:10px 15px 10px 15px;background-color:#2a2a2a;position:relative;z-index:100; }
.sidebarlinksel:link, .sidebarlinksel:visited, .sidebarlinksel:active { color:#fff; }
.sidebarsubpages { border:1px solid #2a2a2a;border-top:0px;border-bottom-left-radius:5px;border-bottom-right-radius:5px;position:relative;z-index:99;top:-5px;padding-top:5px; }
.sidebarsubpages a { font-size:0.9em;padding:5px 10px 5px 30px;position:relative; }
.sidebarsubpages i { position:absolute;left:9px;top:9px; }
.sidebarsublink:link, .sidebarsublink:visited, .sidebarsublink:active { color:#ccc; }
.sidebarsublinksel:link, .sidebarsublinksel:visited, .sidebarsublinksel:active { color:#fff; }
.sidebarsublink:hover, .sidebarsublinksel:hover { background-color:#3a3a3a; }

#sidebartoggle { margin-bottom:10px;white-space:nowrap;overflow:hidden; }
#sidebartoggle a { color:#fff;text-decoration:none; }
#sidebartoggle span { display:inline-block; }
.sidebartogglea { background-color:#333;border:1px solid #111;padding:4px 6px 4px 6px;border-top-left-radius:5px;border-bottom-left-radius:5px; }
.sidebartogglel { background-color:#2a2a2a;border:1px solid #111;border-left:0px;padding:4px 10px 4px 10px;border-top-right-radius:5px;border-bottom-right-radius:5px; }
.sidebartogglel i { color:#777;font-size:0.8em;margin-right:5px;margin-left:5px; }

@media (max-width: 750px) {
	#pagecolwrap { grid-template-columns:minmax(0, 1fr);grid-template-rows:auto minmax(0, 1fr);grid-template-areas: "bodycol1" "bodycol2"; }
	#sidebarwrap { display:none;z-index:1000;position:fixed;left:10px;top:92px;width:210px;box-shadow:1px 1px 3px rgba(0,0,0,0.8); }
	#sidebartoggle { display:block; }
}
@media (min-width: 751px) {
	#pagecolwrap { grid-template-columns:250px minmax(0, 1fr);grid-template-rows:100%;grid-template-areas: "bodycol1 bodycol2"; }
	#sidebarwrap { display:block; }
	#sidebartoggle { display:none; }
}

.greentext { color:#9fe87e; }
.redtext { color:#f57b7b; }

/* Buttons */

.subbutton:link, .subbutton:visited { border:1px solid #3e5738;background-color:#55824b;background:linear-gradient(#55824b,#4b7641);color:#ffffff;text-shadow:0px 1px #3e5738;text-decoration:none;display:inline-block;border-radius:6px;font-size:16px;padding:6px 12px 6px 12px; }
.subbutton:active, .subbutton:hover { background-color:#6c9e61;background:linear-gradient(#6c9e61,#639458); }
.clbutton:link, .clbutton:visited { border:1px solid #949494;background-color:#d4d4d4;background:linear-gradient(#e8e8e8,#d4d4d4);color:#5a5a5a;text-shadow:0px 1px #e8e8e8;text-decoration:none;display:inline-block;border-radius:4px;font-size:14px;padding:4px 10px 4px 10px;margin-right:10px; }
.clbutton:active, .clbutton:hover { background-color:#e5e5e5;background:linear-gradient(#f3f3f3,#e5e5e5); }
.ncbutton i, .delbutton i, .disbutton i, .subbutton i, .clbutton i { margin-right:5px; }

.genbutton:link, .genbutton:visited { background-color:#3a3a3a;padding:2px 8px 2px 8px;text-decoration:none;color:#eee;border-radius:5px;border-left:1px solid #4a4a4a;border-top:1px solid #4a4a4a;border-bottom:1px solid #333;border-right:1px solid #333;  }
.genbutton:hover { background-color:#3f3f3f; }
.genbutton:active { border-right:1px solid #4a4a4a;border-bottom:1px solid #4a4a4a;border-top:1px solid #333;border-left:1px solid #333; }
.genbutton i { margin-right:5px; }


/*============================================== Login form ============================================*/

#loginhead { width:50%;margin:0px auto;border:2px solid #000;background-color:#333;margin-top:50px; }
#loginheadi { color:#bff7b3;padding:10px; }
#loginheadi i { margin-right:10px; }
#loginform { width:50%;margin: 0 auto;border:2px solid #000;border-top:0px;background-color:#3f3f3f;text-align:center; }
#loginformi { padding:15px; }
#loginform input[type=text], #loginform input[type=password] { font-size:14px;padding:6px;margin-bottom:20px;width:50%; }
#loginline { margin-bottom:20px; }
#loginforgot { margin-top:20px;font-size:14px; }
#loginremember { font-size:14px; }
#loginfine { font-size:12px; }
#loginsubmit { margin-top:20px; }
#forgetsubmit { text-align:right;margin-top:20px; }


/*============================================== General DIVs ===========================================*/

.gensuccess, .gensuccesssm, .generror, .generrorsm, .geninfo, .geninfosm { margin:0px auto;width:100%;max-width:1200px; }
.gensuccessi, .gensuccesssmi, .generrori, .generrorsmi, .geninfoi, .geninfosmi { position:relative;margin-bottom:10px;text-align:center;padding:10px 10px 10px 10px;box-shadow:2px 2px 0px rgba(0,0,0,0.5); }
.gensuccessi, .gensuccesssmi, .genquicksuccess { background-color:#5a754c;color:#c4e7b2; }
.generrori, .generrorsmi { color:#f0e9bb;background-color:#7a734a; }
.gensuccessi, .generrori, .geninfoi { margin-top:30px; }

.genquicksuccess { width:300px;max-width:70%;position:fixed;top:10px;left:50%;transform:translateX(-50%);z-index:10000;box-shadow:2px 2px 0px rgba(0,0,0,0.5); }
.genquicksuccessi { text-align:center;padding:4px; }
.genquicksuccessbar { background-color:#7e9f6c;height:2px;width:100%; }

.geninfoi, .geninfosmi { background-color:#314a73;color:#bcd1f4; }
.genboxicon { position:absolute;top:-7px;left:7px;font-size:18px;text-shadow:1px 1px rgba(0,0,0,0.5); }
.geninfoi a, .geninfosmi a { background-color:#bcd1f4;color:#314a73;text-decoration:none;box-shadow:1px 1px rgba(0,0,0,0.5);margin:0px 8px 0px 8px;padding:0px 5px 0px 5px;border-radius:3px; }

/*============================================== General Box ============================================*/

.boxhead { width:calc(100% - 20px);max-width:1200px;margin:0px auto;border:2px solid #000;background-color:#333;color:#bff7b3; }
.boxheadi { padding:10px; }
.boxheadi i { margin-right:10px; }
.boxsubhead { background:linear-gradient(to right, #555 0%, #3f3f3f 70%);color:#ddd;padding:10px; }
.boxsubhead i { margin-right:10px; }
.boxbody { width:calc(100% - 20px);max-width:1200px;margin:0px auto;border:2px solid #000;border-top:0px;margin-bottom:35px;background-color:#3f3f3f; }
.boxbodyi { padding:10px; }
.boxbodycenter { padding:20px;text-align:center; }
.boxline { margin-bottom:20px; }
.boxfine { font-size:12px; }
.boxinsubmit { margin-top:20px;text-align:center; }
.boxsubmit { margin-top:50px;padding-bottom:50px;text-align:center; }
.boxformtable td { padding:10px; }
.boxformlabel { width:35%;text-align:right; }
.boxforminput { width:30%; }
.boxforminput input { width:100%;font-size:15px; }
.boxformcheck { width:35%;text-align:left;font-size:10px; }
.boxformtxt td { padding-top:0px !important;text-align:center; }


/*============================================== Main Page ============================================*/

#tblwrap { position:relative; }
#tblwrapi { overflow-y:auto;max-height:100%;-ms-overflow-style:none;scrollbar-width:none; }
#tblwrapi::-webkit-scrollbar { display:none; }
#tblgradienttop, #tblgradientbtm { position:absolute;width:100%;font-size:17px;text-align:center;text-shadow:1px 1px black;z-index:100; }
#tblgradienttop { background: linear-gradient(rgba(17,17,17,1),rgba(17,17,17,0.3));top:0;display:none; }
#tblgradientbtm { background: linear-gradient(rgba(17,17,17,0.3),rgba(17,17,17,1));bottom:0; }

.tblheadwrap { display:grid;grid-template-columns:22% 13% 13% 13% 13% 13% 13%;grid-template-rows:auto;gap:0px 0px;grid-template-areas: "tblheaddlc tblhead tblhead tblhead tblhead tblhead tblhead"; }

.tblhead { background-color:#444;color:#bff7b3;border-top:2px solid black;border-left:2px solid black;border-bottom:2px solid black;white-space:nowrap; }
.tblheadsort { background:linear-gradient(#454b44,#4a5747,#454b44); }
.tblhead a { text-decoration:none; }
.tblhead i { margin-right:7px; }
.tblhead:last-child { border-right:2px solid black; }
.tblsorti { position:absolute;right:5px;top:13px;font-size:10px; }
.tblsorti span { position:absolute;right:20px;top:0px; }
.tblsortspan { position:absolute;right:8px;top:14px;font-size:10px; }
.tblsortspan i { margin-left:5px;position:relative;top:1px; }
.tblcellisort { padding-right:35px !important; }

.tblcat { border-right:2px solid black;border-left:2px solid black;border-bottom:2px solid black;padding:10px;background-color:#333; }
.tblcat img { margin-right:10px;height:14px;position:relative;top:3px;float:left; }
.tblcat i { margin-right:10px; }

.tblrow { display:grid; }
.tblkeywords { display:none; }

.tbldlc { grid-area:dlc; }
.tbldlc img { margin-right:10px;height:14px;position:relative;top:3px;float:left; }
.tbldlci { padding-right:24px !important;background:linear-gradient(to right, rgba(0,0,0,0) 70%, rgba(0,0,0,0.25) 100%); }

.tbldlcbgun { background-color:#2a2a2a; }
.tbldlcbgrand { background-color:#6c9abb !important; }
.tbldlcbgfavpnk { background-color:#ae7396; }
.tbldlcbgfavpur { background-color:#74669f; }
.tbldlcbgfavgrn { background-color:#5e8e52; }
.tbldlcbgfavylw { background-color:#b29c52; }
.tbldlcbgfavorg { background-color:#d08a49; }
.tbldlcbgfavred { background-color:#b25757; }
.tbldlcbgfavblu { background-color:#3c6c91; }
.tbldlcbgfavbrn { background-color:#7d5d3e; }
.tbldlcbgfavcyn { background-color:#6fb0a4; }
.tbldlcbgfavslv { background-color:#929292; }

.tbldlcrb { position:absolute;top:4px;right:4px;padding:2px;text-align:right; }
.tbldlcrbicons { font-size:0.65em; }
.tbldlcrbicons i { text-shadow:1px 1px black;margin-left:5px; }
.tbldlcopt { opacity:0.5;color:#fff; }
.tbldlca:hover .tbldlcopt { opacity:1; }

.tbldlciconrand { color:#85b8dd; }
.tbldlciconfavpnk { color:#e39dc6; }
.tbldlciconfavpur { color:#a595d6; }
.tbldlciconfavgrn { color:#95cc87; }
.tbldlciconfavylw { color:#ecd68b; }
.tbldlciconfavorg { color:#f0c194; }
.tbldlciconfavred { color:#ec8686; }
.tbldlciconfavblu { color:#789ebb; }
.tbldlciconfavbrn { color:#c29e7e; }
.tbldlciconfavcyn { color:#a9ddd3; }
.tbldlciconfavslv { color:#d4d4d4; }
.tbldlciconnote { color:#fff;opacity:0.75; }
.tbldlciconpin { color:#fff;opacity:0.75; }

.tbldlcun:link, .tbldlcun:visited, .tbldlcun:active, .tbldlcun:hover { color:#fff;text-decoration:none; }
.tbldlcfav:link, .tbldlcfav:visited, .tbldlcfav:active, .tbldlcfav:hover, .tbldlcrand:link, .tbldlcrand:visited, .tbldlcrand:active, .tbldlcrand:hover { color:#000;text-decoration:none; }

.tblcell { border-bottom:2px solid black;border-left:2px solid black; }
.tblcelltotal { grid-area:tot;border-right:2px solid black; }
.tblcellval1 { grid-area:val1; }
.tblcellval2 { grid-area:val2; }
.tblcellval3 { grid-area:val3; }
.tblcellval4 { grid-area:val4; }
.tblcellval5 { grid-area:val5; }
.tblcelliw { height:100%; }
.tblcelli { padding:10px;height:100%;box-sizing:border-box;position:relative;white-space:nowrap;overflow:hidden;text-overflow:ellipsis; }
.tblcelliborder { border:1px solid rgba(255,255,255,0.07);position:absolute;top:0;left:0;height:calc(100% - 2px);width:calc(100% - 2px); }
.tblcell:hover .tblcelliborder { border:1px solid rgba(255,255,255,0.2);background:rgba(0,0,0,0.2); }
.tblcelldlcin { padding-right:24px !important; }
.tblcellicon { position:absolute;font-size:20px;top:10px;right:10px;opacity:0.1; }
.tblcelleditable { cursor:pointer;-webkit-touch-callout:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none; }

.tbldlcnamewithparent { padding-top:-6px; }
.tbldlcnameparent { display:block;font-size:0.8em;white-space:nowrap;overflow:hidden;text-overflow:ellipsis; }
.tbldlcun .tbldlcnameparent { color:rgba(255,255,255,0.7); }
.tbldlcfav .tbldlcnameparent, .tbldlcrand .tbldlcnameparent { color:rgba(0,0,0,0.7); }
.tbldlcnameparent i { margin-right:6px; }
.tblcelliwparent { padding-top:2px;padding-bottom:2px; }
.tblcelliwparent img { margin-top:8px; }

.checkmark { position:absolute;top:10px;right:10px;color:#fff;opacity:0.1; }
.editbtns { font-size:20px;text-shadow:1px 1px rgba(0,0,0,0.5);position:absolute;top:6px;right:7px;display:none; }
.upbtn:link, .upbtn:visited, .editbtn:link, .editbtn:visited, .nobtn:link, .nobtn:visited { color:#aaa; }
.upbtn:hover, .upbtn:active { color:#66a658; }
.editbtn:hover, .editbtn:active { color:#d3b055; }
.nobtn:hover, .nobtn:active { color:#bb5858; }

#dlccontextmenu { display:none;position:fixed;top:0px;left:0px;z-index:6000;padding:6px 3px 6px 3px;border:1px solid #222;box-shadow:1px 1px 3px rgba(0,0,0,0.5);border-radius:5px;background-color:#444; }
#dlccontextmenu a { display:inline-block;padding:4px;margin:0px 3px 0px 3px;border-radius:5px; }

#dlcoptboxwrap { display:none;position:fixed;top:50%;left:50%;transform:translate(-50%, -50%);z-index:6000;width:50%;max-width:1000px;min-width:280px;max-height:400px;border:2px solid black;background-color:#333;box-shadow:2px 2px 2px rgba(0,0,0,0.5);border-radius:5px; }
#dlcoptboxclose { position:absolute;top:-30px;right:0px;font-size:20px;color:#c35b5b;text-shadow:2px 2px 2px rgba(0,0,0,0.5); }
#dlcoptboxhead { font-size:16px;background-color:#222;padding:10px;border-top-right-radius:3px;border-top-left-radius:3px; }
#dlcoptboxheadi { white-space:nowrap;overflow:hidden;text-overflow:ellipsis; }
#dlcoptboxheadi i { margin-right:10px; }
.dlcoptboxtabs { background-color:#222;padding:0px 10px 0px 10px;white-space:nowrap; }
.dlcoptboxtab { display:inline-block;padding:5px 10px 5px 10px;margin-right:5px;border-top-right-radius:5px;border-top-left-radius:5px; }
.dlcoptboxtab:link { text-decoration:none; }
.dlcoptboxtab i { margin-right:6px; }
.dlcoptboxtabsel { background-color:#333; }
.dlcoptboxtabun { background:linear-gradient(#2b2b2b 60%,#222); }
.dlcoptboxtabun:hover { background:linear-gradient(#333 60%,#2b2b2b); }
#dlcoptpagestats, #dlcoptpageinfo { display:none;overflow-y:auto;max-height:308px; }
.dlcoptboxsub { background-color:#2b2b2b;padding:8px;font-size:12px; }
.dlcoptboxsub i { margin-right:8px; }
#dlcoptloading { padding-top:50px;height:230px;text-align:center;font-size:20px; }
.dlcoptsection { padding:5px;font-size:12px; }
#dlcoptbtnwrap { display:grid;overflow-x:auto;grid-template-columns:auto;grid-template-rows:auto;gap:0px 0px; }
.dlcoptbtnwrap5 { grid-template-areas: "dlcoptbtn dlcoptbtn dlcoptbtn dlcoptbtn dlcoptbtn"; }
.dlcoptbtnwrap6 { grid-template-areas: "dlcoptbtn dlcoptbtn dlcoptbtn dlcoptbtn dlcoptbtn dlcoptbtn"; }
.dlcoptbtn { text-align:center;padding:5px;white-space:nowrap; }
.dlcoptbtna { border-radius:5px;position:relative;display:inline-block;width:50px;height:45px;padding:2px;text-decoration:none;font-size:30px; }
.dlcoptbtnaf { border-top-left-radius:5px;border-bottom-left-radius:5px;position:relative;display:inline-block;width:40px;height:45px;padding:2px;text-decoration:none;font-size:25px; }
.dlcoptbtnmore { vertical-align:top;border-top-right-radius:5px;border-bottom-right-radius:5px;position:relative;display:inline-block;height:49px;width:13px;text-decoration:none;font-size:10px; }
.dlcoptbtnmore i { position:absolute;bottom:2px;left:0; }
.dlcoptbtnun:link, .dlcoptbtnun:visited { background-color:#3a3a3a;color:#eee;text-shadow:1px 1px #222;border-left:1px solid #4a4a4a;border-top:1px solid #4a4a4a;border-bottom:1px solid #222;border-right:1px solid #222; }
.dlcoptbtnun:hover { background-color:#3f3f3f; }
.dlcoptbtnun:active { border-right:1px solid #4a4a4a;border-bottom:1px solid #4a4a4a;border-top:1px solid #222;border-left:1px solid #222; }
.dlcoptbtnsel:link, .dlcoptbtnsel:visited { background-color:#6a9e5f;text-shadow:1px 1px #406238;border-left:1px solid #9cd58f;border-top:1px solid #9cd58f;border-bottom:1px solid #406238;border-right:1px solid #406238; }
.dlcoptbtnsel:hover { background-color:#74ab68; }
.dlcoptbtnsel:active { border-right:1px solid #9cd58f;border-bottom:1px solid #9cd58f;border-top:1px solid #406238;border-left:1px solid #406238; }
.dlcoptbtnism { position:absolute;bottom:7px;right:7px;font-size:0.45em; }
#dlcoptboxhelp { position:fixed;display:none;background-color:#222;color:#bbb;z-index:6002;padding:5px;border-radius:3px;box-shadow:2px 2px 2px rgba(0,0,0,0.5); }
#dlcoptboxhelp::after { content:" ";position:absolute;bottom:100%;left:50%;transform:translate(-50%);border-width:7px;border-style:solid;border-color:transparent transparent #222 transparent; }
.dlcoptbtnclr { border:1px solid #000;border-radius:2px;height:5px;margin:0px 2px 2px 2px; }
#dlcoptclrbox { display:none;z-index:6004;position:fixed;top:0px;left:0px;padding:4px;border:1px solid #222;box-shadow:1px 1px 3px rgba(0,0,0,0.5);border-radius:5px;background-color:#444; }
#dlcoptclrbox div { padding:5px; }
#dlcoptclrbox a { display:inline-block;margin:0px 4px 0px 4px;text-decoration:none;height:30px;width:30px;border-radius:50px; }
.dlcoptclrsel:link, .dlcoptclrsel:visited { border:3px solid #000; }
.dlcoptclrun:link, .dlcoptclrun:visited { border:3px solid #444; }
#dlcoptnoteswrap { border:1px solid #111;background-color:#585858;padding:5px;border-radius:3px;box-shadow: inset 0px 0px 4px rgba(0,0,0,0.3); }
#dlcoptnoteswrap textarea { border:0px;width:calc(100% - 8px);height:85px; }
#dlcoptnoteswrap textarea::-webkit-scrollbar { width: 6px;height: 6px; }
#dlcoptnoteswrap textarea::-webkit-scrollbar-track { background-color: transparent;border-radius: 10px; }
#dlcoptnoteswrap textarea::-webkit-scrollbar-thumb { background-color: rgba(0, 0, 0, 0.4);border-radius: 10px; }
#dlcoptnotesfoot { text-align:right; }
#dlcoptnotesfoot a { background-color:#333;display:inline-block;padding:3px 3px 2px 3px;font-size:14px;border-radius:5px;text-shadow:1px 1px rgba(0,0,0,1);text-decoration:none; }
#dlcoptnotesfoot a:hover { background-color:#2a2a2a; }
#dlcoptnotesfoot span { font-size:0.8em;margin-right:5px;color:#ddd; }
#dlcoptnotesfoot span i { margin-right:5px; }
.dlcoptstatrow { display:grid;grid-template-columns:40% 60%;grid-template-rows:auto;gap:0px 0px;grid-template-areas:"dlcoptstatname dlcoptstatval";padding:5px; }
.dlcoptstatrowa, .dlcoptstatrowb { border-top:1px solid #444;border-bottom:1px solid #222;border-left:1px solid #222;border-right:1px solid #222; }
.dlcoptstatrowb { background-color:#2f2f2f; }
.dlcoptprogsection { text-align:center; }
.dlcoptprogwrap { display:inline-block;border:2px solid black;width:120px;margin:auto;margin:5px;font-size:12px; }
.dlcoptprogtile { display:grid;grid-template-columns:40px auto;grid-template-rows:auto auto;gap:0px 0px;grid-template-areas:"dlcoptprogicon dlcoptproggraph" "dlcoptprogdif dlcoptprogdif"; }
.dlcoptprogicon { padding:5px;background:linear-gradient(#444,#555,#444); }
.dlcoptprogicon i { font-size:25px;color:#888;text-shadow:1px 1px rgba(0,0,0,0.5); }
.dlcoptproggraph { border-left:2px solid black; }
.dlcoptprogicon, .dlcoptproggraph { text-align:center;color:rgba(255,255,255,0.3); }
.dlcoptprogdif { grid-area:dlcoptprogdif;border-top:2px solid black;text-align:center;padding:2px;color:rgba(255,255,255,0.8); }
.dlcoptprogdifgood { background-color:rgba(37,85,43,1); }
.dlcoptprogdifbad { background-color:rgba(109,43,37,1); }
.dlcoptmonthopts { text-align:center;padding:5px 0px 8px 0px; }
.dlcoptmonthopts a { display:inline-block;padding:5px 10px 5px 10px;border:1px solid #111;text-decoration:none; }
.dlcoptmonthopts a:first-child { border-right:0;border-top-left-radius:5px;border-bottom-left-radius:5px; }
.dlcoptmonthopts a:last-child { border-top-right-radius:5px;border-bottom-right-radius:5px; }
.dlcoptmonthopts i { margin-right:5px; }
.dlcoptmonthoptssel { background:linear-gradient(#222,#2a2a2a); }
.dlcoptmonthoptsun { background:linear-gradient(#333,#222); }
.dlcoptmonthoptsun:hover { background:linear-gradient(#3b3b3b,#2a2a2a); }
.dlcoptmonthoptsun:active { background:linear-gradient(#222,#2a2a2a); }
#dlcoptmonthgraph { margin:auto;position:relative;height:200px;max-width:75%;min-width:270px;display:none; }
#dlcoptmonthtablewrap { display:grid;grid-template-columns:20% 20% 20% 20% 20%;grid-template-rows:auto;gap:0px 0px;grid-template-areas:"dlcoptmonthtablecell"; }
.dlcoptmonthtablecell { border-right:2px solid black;border-bottom:2px solid black;padding:4px; }
.dlcoptmonthtablehead { border-top:2px solid black;text-align:right; }
.dlcoptmonthtablemonth { border-left:2px solid black; }
.dlcoptmonthtablehead, .dlcoptmonthtablemonth { background-color:#444;white-space:nowrap;overflow:hidden;text-overflow:ellipsis; }
.dlcoptmonthtablenum { text-align:right; }
.dlcoptmonthtablepos { color:#a1de93; }

#editboxwrap { display:none;position:fixed;top:0;z-index:6000;border:2px solid black;background-color:#333;box-shadow:2px 2px 2px rgba(0,0,0,0.5);border-radius:5px; }
#editboxi { position:relative; }
#editboxclose { position:absolute;top:-30px;right:0px;font-size:20px;color:#c35b5b;text-shadow:2px 2px 2px rgba(0,0,0,0.5); }
#editboxerror { position:absolute;left:10px;top:calc(100% + 10px);background-color:#444;z-index:6002;color:#f18b60;padding:5px;border-radius:3px;box-shadow:2px 2px 2px rgba(0,0,0,0.5); }
#editboxerror::after { content:" ";position:absolute;bottom:100%;left:5px;border-width:7px;border-style:solid;border-color:transparent transparent #444 transparent; }
#editboxerror i { margin-right:5px; }
#editboxhead { font-size:16px;background-color:#222;padding:10px;border-top-right-radius:3px;border-top-left-radius:3px; }
#editboxheadi { white-space:nowrap;overflow:hidden;text-overflow:ellipsis; }
#editboxheadi i { margin-right:10px; }
#editboxsub { background-color:#2b2b2b;padding:10px; }
#editboxsubi { font-size:12px; }
#editboxsubi i { margin-right:8px; }
#editboxsubmax { float:right; }
#editboxinputwrap { padding:10px 12px 12px 10px;display:grid;grid-template-columns:1fr 30px 40px;grid-template-rows:auto;gap:0px 0px;grid-template-areas: "ebinp ebup ebgo"; }
#editboxinputi { grid-area:ebinp;background-color:#585858;border:1px solid #222;border-top-left-radius:5px;border-bottom-left-radius:5px;height:100%; }
#editboxinputii { padding:4px 3px 0px 5px; }
#editboxinputii input { width:100%;font-size:15px;padding:0;border:0;outline:0;background-color:#585858; }
.editboxinputertxt { color:#f18b60; }
#editboxinputup { grid-area:ebup; }
#editboxinputup span { font-weight:500;margin:0;position:absolute;top:50%;left:50%;transform:translate(-50%, -50%); }
#editboxinputup a { display:block;height:100%;width:100%;position:relative;border:1px solid #222;border-left:0;border-top-right-radius:5px;border-bottom-right-radius:5px;text-decoration:none; }
.editupbtn:link, .editupbtn:visited { background-color:#66a658;color:#333; }
.editupbtn:active, .editupbtn:hover { background-color:#82c773; }
.editupdis:link, .editupdis:visited, .editupdis:active, .editupdis:hover { background-color:#ccc;color:#777; }
#editboxinputsa { grid-area:ebgo;padding-left:10px; }
#editboxinputsa i { font-size:18px;margin:0;position:absolute;top:50%;left:50%;transform:translate(-50%, -50%); }
#editboxinputsa a { display:block;height:100%;width:100%;position:relative;border:1px solid #222;border-radius:5px;background-color:#748eb4;color:#333; }
#editboxinputsa a:hover { background-color:#8fabd5; }

#hiddenmsg { background-color:#3c382f;padding:8px;text-align:center; }
#hiddenmsg i { margin-right:10px; }

/* Mobile */
@media (max-width: 680px) {
	.tblrow { margin-bottom:15px;
		grid-template-columns:20% 20% 20% 20% 20%;grid-template-rows:auto auto;gap:0px 0px;grid-template-areas: "dlc dlc dlc dlc tot" "val1 val2 val3 val4 val5"; }
	.tblcellval5 { border-right:2px solid black; }
	.tblcelltotal { background-color:#2a2a2a;text-align:center; }
	.tblcelltotal, .tbldlc { border-top:2px solid black; }
	.tblcelltotal .tblcellcontent { display:none; }
	.tblheadwrap { display:none; }
	.tblcellval .checkmark { display:none !important; }
	.dlcper100 { display:block; }
	.tblcat { border-top:2px solid black;margin-bottom:15px; }
}

@media (min-width: 681px) {
	.tblrow { grid-template-columns:22% 13% 13% 13% 13% 13% 13%;grid-template-rows:auto;gap:0px 0px;grid-template-areas: "dlc val1 val2 val3 val4 val5 tot"; }
	.dlcper { opacity:0.5;font-size:12px;position:absolute;top:12px;right:10px; }
	.tblcellicon { display:none !important; }
	.dlcper100 { display:none; }
	#hiddenmsg { margin-top:10px; }
}


@media (max-width: 1000px) {
	.dlctotspan, .dlctottotspan { display:none; }
	#editboxwrap { max-width:300px;width:60%;margin-top:15%;left:50%;transform:translateX(-50%); }
}

@media (min-width: 1001px) {
	#editboxhead, #editboxsub { display:none; }
	#editboxwrap { width:calc(13% + 5px);left:0; }
}

#progfullwrap { display:grid;gap:0px 0px;grid-template-columns:100px auto;grid-template-rows:auto;grid-template-areas: "proggame progbarr";border:2px solid black;margin-top:10px; }
#proggame { grid-area:proggame;text-align:center;white-space:nowrap;height:100%;padding:0px 5px 0px 5px;background:linear-gradient(rgba(30,30,30,1),rgba(10,10,10,1)); }
#proggameh { display:inline-block;height:100%;vertical-align:middle; }
#proggame img { width:100%;vertical-align:middle; }
#progwrap { grid-area:progbarr;border-left:2px solid black; }
#progbar { padding:8px 6px 6px 6px;font-size:16px;text-align:center;line-height:90%; }
#progbars { font-size:10px;opacity:0.5;white-space:nowrap; }
#setupbarwrap a { text-decoration:none; }
#setupbarwrap { width:250px;max-width:100%;margin:0 auto;border:2px solid black;margin-top:10px;background-color:#5a754c; }
#setupbar { text-align:center;text-shadow:1px 1px rgba(0,0,0,0.5);border-top:1px solid rgba(255,255,255,0.3);border-left:1px solid rgba(255,255,255,0.3);border-bottom:1px solid rgba(0,0,0,0.3);border-right:1px solid rgba(0,0,0,0.3);padding:8px;color:#c4e7b2; }


/*============================================== Settings ============================================*/

.setdlchead { padding:10px;background-color:#3a3a3a; }
.setdlchead img { height:15px;position:relative;top:2px;margin-right:10px; }
.setdlcheadnotf { margin-top:15px; }
.setdlcwrap { display:grid;gap:0px 0px; }
@media (max-width:600px) { .setdlcwrap { grid-template-columns:100%;grid-template-rows:auto auto;grid-template-areas: "routes" "locos"; } }
@media (min-width:601px) { .setdlcwrap { grid-template-columns:50% 50%;grid-template-rows:auto;grid-template-areas: "routes locos"; } }
.setdlcroutes { grid-area:routes; }
.setdlclocos { grid-area:locos; }
.setdlcun:link, .setdlcun:visited, .setdlcun:hover, .setdlcun:active { color:#fff;text-decoration:none; }
.setdlcdis:link, .setdlcdis:visited, .setdlcdis:hover, .setdlcdis:active { color:#aaa;text-decoration:none; }
.setdlcsel:link, .setdlcsel:visited, .setdlcsel:hover, .setdlcsel:active { text-decoration:none; }
.setdlcun, .setdlcdis, .setdlcsel { display:block;width:100%;padding:10px; }
.setdlcun i, .setdlcdis i, .setdlcsel i { margin-right:10px; }
.setdlcnew { background-color:#f1dc3c;color:#000;padding:0px 7px 0px 7px;border-radius:10px;margin-left:10px; }


/*============================================== Reports ============================================*/

.replistwrap { border:2px solid black; }
.replisthead { background-color:#333;color:#bff7b3;padding:10px; }
.replistsubhead { background-color:#222;color:#ccc;font-weight:500;padding:10px;border-top:1px solid black; }
.replistbody { background-color:#3f3f3f;padding:10px;border-top:1px solid black; }
.replistrow { display:grid;gap:0px 0px;grid-template-columns:50px auto 30% 30%;grid-template-rows:auto;grid-template-areas: "replistrow1 replistrow2 replistrow3 replistrow4";border-top:1px solid black; }
.replistrow div { vertical-align:middle; }
.replistrow1, .replistrow2, .replistrow3 { padding:10px; }
.replistrow4 { padding:6px; }
.replistrownew { font-weight:500; }
.replistrowold {  }
.replistrowolda { background-color:#3f3f3f; }
.replistrowoldb { background-color:#393939; }
.replistrownewa { background-color:#343d33; }
.replistrownewb { background-color:#2f362d; }
.replistrow1, .replistrow3, .replistrow4 { text-align:center; }
.replistrowold .replistrow1 { color:rgba(255,255,255,0.2); }
.replistrow3 i { margin-right:7px; }
.replistrow4 img { height:22px;position:relative;top:3px; }

#reptitle { font-size:1.5em; }
#repsubtitle { color:#ccc; }
#repdates i { font-size:5px;position:relative;top:-3px;margin-left:15px;margin-right:15px; }
#repstatus i { margin-right:6px; }
#repactions { padding:20px 0px 20px 0px; }
#repactions a { margin-right:10px; }
.repgrid { display:grid;gap:0px 0px; }
@media (max-width:800px) { .repgrid { grid-template-columns:100%;grid-template-rows:auto auto;grid-template-areas: "repgrid1" "repgrid2"; } }
@media (min-width:801px) { .repgrid { grid-template-columns:50% 50%;grid-template-rows:auto;grid-template-areas: "repgrid1 repgrid2"; } .repgrid1 { padding-right:5px; } .repgrid2 { padding-left:5px; } }
.repgrid1 { grid-area:repgrid1; }
.repgrid2 { grid-area:repgrid2; }
.repsectionhead { border:2px solid #000;background-color:#333;color:#bff7b3;padding:10px; }
.repsectioncont { background-color:#3f3f3f;border:2px solid black;border-top:0;padding:10px;margin-bottom:15px; }
.reptilewrap { text-align:center; }
.reptile { background-color:#494949;border-radius:10px;display:inline-block;position:relative;margin:5px;width:150px;text-align:center;border-top:1px solid #555;border-left:1px solid #555;border-right:1px solid #333;border-bottom:1px solid #333;text-shadow:1px 1px rgba(0,0,0,0.5); }
.reptilei { color:#bff7b3;position:absolute;top:50%;left:50%;-ms-transform:translate(-50%, -50%);transform:translate(-50%, -50%);opacity:0.1;font-size:100px; }
.reptilename { font-weight:300;padding-top:20px; }
.reptilenum { font-size:30px;font-weight:300; }
.reptilenum2 { padding-bottom:20px; }
.reptilepos { color:#bff7b3; }
.reptileneg { color:#e99999; }
.reptileneu { color:#ccc; }
.repdlcline { padding:5px;position:relative; }
.repdlcgold { color:#f2ce3b;font-size:24px;padding-left:46px;text-shadow:1px 1px rgba(0,0,0,0.5); }
.repdlcsilv { color:#b9d8e0;font-size:20px;padding-left:42px;text-shadow:1px 1px rgba(0,0,0,0.5); }
.repdlcbron { color:#b87f35;font-size:16px;padding-left:38px;text-shadow:1px 1px rgba(0,0,0,0.5); }
.repdlcsub { font-size:0.8em;color:#aaa; }
.repdlctrophy { position:absolute;top:10px;left:5px;text-shadow:1px 1px rgba(0,0,0,0.5); }
#repshare { display:none;margin-top:20px;background-color:#333;width:400px;max-width:calc(100% - 20px);border-radius:10px;padding:10px; }
#repsharetitle { font-weight:500;border-bottom:1px solid #444;padding-bottom:5px; }
#repsharetext { padding-top:5px;font-size:0.9em;padding-bottom:10px; }
#repshareurl input { font-family:Courier New;font-size:0.9em;border:1px solid #000;padding:5px;width:calc(100% - 10px); }
.repratioline { position:relative; }
.repratiooverlay { position:absolute;top:11px;left:1px;border-radius:5px;background:linear-gradient(rgba(255,255,255,0.1) 0%,rgba(0,0,0,0.1) 100%);z-index:100;height:25px;width:calc(100% - 2px); }
.repratiolinei { z-index:999;padding-top:10px;white-space:nowrap;height:25px;width:calc(100% - 2px);padding-bottom:10px; }
.repratiolinei div:first-child { border-top-left-radius:6px;border-bottom-left-radius:6px;border-left:1px solid #333; }
.repratiolinei div:last-child { border-top-right-radius:6px;border-bottom-right-radius:6px;border-right:1px solid #333; }
.repratiolinei div { display:inline-block;height:100%;border-top:1px solid #333;border-bottom:1px solid #333; }
.repratiolegend { padding-bottom:10px;font-size:0.9em; }
.repratiolegendsp { padding-right:15px;white-space:nowrap; }
.repratiolegendsp span { display:inline-block;height:12px;width:12px;border:1px solid #333;border-radius:10px;margin-right:7px;position:relative;top:2px; }


/*============================================== Statistics ============================================*/


.statlivebox { border:2px solid black;position:relative;display:grid;gap:0px 0px;grid-template-columns:165px auto;grid-template-rows:40px auto;grid-template-areas: "statliveb statlivet" "statlivel statliver";overflow:auto; }
.statliveleft { grid-area:statlivel;border-right:1px solid #141414;background:rgba(0,0,0,0.2);backdrop-filter:blur(3px);-webkit-backdrop-filter:blur(3px);position:sticky;position:-webkit-sticky;left:0px;z-index:99; }
.statliveright { grid-area:statliver;z-index:95; }
.statlivetop { grid-area:statlivet;border-bottom:1px solid #141414;background:rgba(0,0,0,0.2);backdrop-filter:blur(3px);-webkit-backdrop-filter:blur(3px);z-index:99;position:sticky;position:-webkit-sticky;top:0px; }
.statliveblank { grid-area:statliveb;background-color:#141414;z-index:100;position:sticky;position:-webkit-sticky;top:0px;left:0px; }
.statlivetopcell { display:inline-block;position:relative;top:10px;left:0px;width:24px;margin:0px;padding:1px 2px 0px 2px;font-size:10px;color:#ddd;text-align:left;-webkit-transform:rotate(300deg);-moz-transform:rotate(300deg);-ms-transform:rotate(300deg);-o-transform:rotate(300deg);transform:rotate(300deg); }
.statliveline, .statlivetop, .statlivedlc { white-space:nowrap; }
.statlivedlc { height:23px;padding:5px 0px 0px 5px;font-size:12px;width:160px;overflow:hidden;text-overflow:ellipsis; }
.statlivedlc:hover { overflow:visible; }
.statlivedlc a { color:#fff;text-decoration:none; }
.statlivecell { display:inline-block;width:24px;height:24px;font-size:12px;box-sizing:border-box;border-radius:3px;margin:2px;cursor:default;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none; }
.statlivecellborder { border:1px solid black; }
.statlivelinea .statlivecellnoborder { background:#2a2a2a;border:1px solid #2a2a2a; }
.statlivelineb .statlivecellnoborder { background:#2f2f2f;border:1px solid #2f2f2f; }
.statlivecelli { height:100%;border-radius:2px;background:linear-gradient(rgba(255,255,255,0.2) 0%,rgba(255,255,255,0) 7%,rgba(0,0,0,0) 90%,rgba(0,0,0,0.1) 100%); }

#statlivesct, #statlivescb { z-index:110;position:fixed;height:25px;width:100%; }
#statlivesct { top:0px;background:linear-gradient(rgba(34,34,34,1) 0%, rgba(34,34,34,0) 100%); }
#statlivescb { bottom:0px;background:linear-gradient(rgba(34,34,34,0) 0%, rgba(34,34,34,1) 100%); }
#statlivescl, #statlivescr { z-index:110;position:absolute;width:15px;height:100%; }
#statlivescl { left:0px;background:linear-gradient(to left,rgba(34,34,34,0) 0%, rgba(34,34,34,1) 100%); }
#statlivescr { right:0px;background:linear-gradient(to left,rgba(34,34,34,1) 0%, rgba(34,34,34,0) 100%); }

.statlivelegendwrap { width:300px;max-width:100%;font-size:12px; }
.statlivelegendwrap span { float:right; }
.statlivelegend { border:1px solid black;height:20px;background:linear-gradient(to right, rgba(29,131,174,1) 0%,rgba(213,188,66,1) 50%,rgba(194,75,91,1) 100%); }

.leaderwrap { border:2px solid black; }
.leaderhead { background-color:#2a2a2a;display:grid;gap:0px 0px;grid-template-columns:10% 10% 50% 30%;grid-template-rows:auto;grid-template-areas: "leadheadnum leadheadbl leadheadname leadheadval"; }
.leaderhead div { padding:10px;font-weight:500; }
.leaderheadnum { grid-area:leadheadnum;text-align:center; }
.leaderheadbl { grid-area:leadheadbl; }
.leaderheadname { grid-area:leadheadname; }
.leaderheadval { grid-area:leadheadval;text-align:center; }
.leaderrow { display:grid;gap:0px 0px;grid-template-columns:10% 10% 50% 30%;grid-template-rows:auto;grid-template-areas: "leadrownum leadrowud leadrowname leadrowval"; }
.leaderrow div { padding:10px;border-top:1px solid #111; }
.leaderrownum { grid-area:leadrownum;text-align:center;font-weight:500; }
.leaderrowud { grid-area:leadrowud; }
.leaderrowname { grid-area:leadrowname; }
.leaderrowval { grid-area:leadrowval;text-align:center; }
.leaderrowa { background-color:#393939; }
.leaderrowb { background-color:#343434; }
.leaderup { color:#9fe87e; }
.leaderdown { color:#f57b7b; }
.leadersame { color:#777; }

.dlclistwrap { border:2px solid black;margin-bottom:20px; }
.dlclisthead { background-color:#2a2a2a;padding:10px;font-weight:500; }
.dlclisthead img { height:16px;margin-right:8px;position:relative;top:2px; }
.dlclistrow { border-top:1px solid #111;padding:10px; }
.dlclistrowa { background-color:#393939; }
.dlclistrowb { background-color:#343434; }
.dlclistrow i { margin-right:8px;color:#aaa; }

.dlcdetgrid { display:grid;gap:0px 0px; }
@media (max-width:1000px) { .dlcdetgrid { grid-template-columns:100%;grid-template-rows:auto auto;grid-template-areas: "dlcdetgrid1" "dlcdetgrid2"; } }
@media (min-width:1001px) { .dlcdetgrid { grid-template-columns:50% 50%;grid-template-rows:auto;grid-template-areas: "dlcdetgrid1 dlcdetgrid2"; } .dlcdetgrid1 { padding-right:5px; } .dlcdetgrid2 { padding-left:5px; } }
.dlcdetgrid1 { grid-area:dlcdetgrid1; }
.dlcdetgrid2 { grid-area:dlcdetgrid2; }
.dlcdethead { border:2px solid #000;background-color:#333;color:#bff7b3;padding:10px; }
.dlcdetcont { background-color:#3f3f3f;border:2px solid black;border-top:0;margin-bottom:15px; }
.dlcdetrow { display:grid;gap:0px 0px;grid-template-columns:40% 60%;grid-template-rows:auto;grid-template-areas: "dlcdetrow1 dlcdetrow2";padding:8px 10px 8px 10px; }
.dlcdetrow:not(:first-child) { border-top:1px solid #111; }
.dlcdetrow img { height:14px;margin-right:8px;position:relative;top:2px; }
.dlcdetrow i { margin-right:8px; }
.dlcdetrowa { background-color:#3f3f3f; }
.dlcdetrowb { background-color:#393939; }
.dlcdetlaytabs { background-color:#2f2f2f;padding:3px 8px 0px 8px; }
.dlcdetlaytabs a { display:inline-block;padding:5px 8px 1px 8px;margin-left:2px;margin-right:2px;border-top-left-radius:2px;border-top-right-radius:2px; }
.dlcdetlaytabun { background-color:#393939; }
.dlcdetlaytabun img { height:20px;opacity:0.5; }
.dlcdetlaytabun:hover { background-color:#3f3f3f; }
.dlcdetlaytabun:hover img { opacity:1; }
.dlcdetlaytabsel { background-color:#3f3f3f; }
.dlcdetlaytabsel img { height:25px; }
.dlcdetlaywrap { overflow-x:auto; }
.dlcdetlaytop { display:grid;gap:0px 0px;grid-template-columns:35% 13% 13% 13% 13% 13%;grid-template-rows:auto;min-width:450px;font-size:0.85em;font-weight:500; }
.dlcdetlaytop div { text-align:center;text-wrap:nowrap;padding:3px 0px 3px 0px; }
.dlcdetlaytop i { margin-right:6px; }
.dlcdetlayrow { display:grid;gap:0px 0px;grid-template-columns:35% 13% 13% 13% 13% 13%;grid-template-rows:auto;min-width:450px;border-top:1px solid #111;font-size:0.85em; }
.dlcdetlayrow a { text-decoration:underline dotted;color:#fff; }
.dlcdetlayrowdlc { padding:3px; }
.dlcdetlayrowdlc i { font-size:0.85em;margin-right:5px; }
.dlcdetlayrowval { text-align:center;padding:3px 0px 3px 0px; }
.dlcdetlayrowtotal { font-weight:500; }
.dlcdetlaycolsel { background:rgba(209,244,201,0.25); }
.dlcdetlayfoot { background:#333;font-size:0.8em;padding:3px; }
.dlcdetcont .statlivebox { border:0; }
.dlcdetcont .statlivedlc i { margin-right:6px; }
.dlcdethead .statlivelegendwrap { float:right;position:relative;top:-6px;right:-4px;width:100px;padding:4px; }
.dlcdethead .statlivelegend { border-radius:4px;padding:3px 4px 3px 4px;height:auto;font-size:11px;color:#fff; }


.fa-rotate-45 {
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
}

.testheart {

	color:#9e4c7d;
	
}


